%define version 0.1.0
%define release 1
%define name ipasserelle-fax

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: iPasserelle Fax module
Group: System Environment/Applications
License: GPLv3+
URL: http://www.ipasserelle.com
Source0: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

BuildRequires: e-smith-devtools

Requires: ipasserelle-base
Requires: iaxmodem
Requires: smeserver-hylafax
Requires: psmark

%description
iPasserelle module for the fax server.
Uses smeserver-hylafax

%changelog
* Wed Dec 3 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- Import in GIT

* Thu Sep 12 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-1.sme
- Initial release

%prep
%setup -q

%build
perl ./createlinks
%{__mkdir_p} root/var/fax
%{__mkdir_p} root/var/log/iaxmodem
%{__mkdir_p} root/var/log/iaxmodem2

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --file /var/spool/hylafax/bin/faxrcvd-sme 'attr(0755,root,root)' \
    --dir /var/fax 'attr(0770,root,uucp)' \
    --dir /var/log/iaxmodem 'attr(0770,root,smelog)' \
    --dir /var/log/iaxmodem2 'attr(0770,root,smelog)' \
    --file /var/service/iaxmodem/run 'attr(0755,root,root)' \
    --file /var/service/iaxmodem/log/run 'attr(0755,root,root)' \
    --file /var/service/iaxmodem2/run 'attr(0755,root,root)' \
    --file /var/service/iaxmodem2/log/run 'attr(0755,root,root)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

